cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade Insight manager 5.3.1

Kw01
Occasional Advisor

Upgrade Insight manager 5.3.1

Hello.  I currently have a windows 2003 r2 standard server running sim 5.3.1.  I am looking at upgrading this to the latest version.  I know I am going to need to build a new server and migrate the data.  I am unclear on the steps needed to be able to migrate the data.  I believe I have to goto version 6.3 first but the doc to migrate the data says you can migrate from 5.31. to 6.3 but to use migration tool you need to be on 6.3 so I am confused.  Any help would be great.  Thank you.

10 REPLIES
BrianKelly
Advisor

Re: Upgrade Insight manager 5.3.1

Do a new install.  I went the root you want to upgradinding versions.  It doesn't work the DB changes are to many to accomplish a good upgrade.  Apples to oranges in how the databases are configured.  You'll crash and burn.

Do a well thought out new install.   Do a report to CSV of all your servers inventory before you do the fresh install so you have the data available.   

 

Brian

 

 

Kw01
Occasional Advisor

Re: Upgrade Insight manager 5.3.1

Thank you for your reply.  If I do a new install, when its time to push out the agents to all of the machines, will it just install over the current agents or do they all have to be uninstalled first?  What makes the upgrade to 6.3 not a good idea?

Andrew_Haak
Honored Contributor

Re: Upgrade Insight manager 5.3.1

If you did a clean install of the SIM server on something newer than Windows 2003 then i would use HP SUM to push the new SPP's if possible. That depends if you accept downtime. If that is a problem at least update the System Management Homepage, wbem/snmp agents  and VCA agent. With this package you can at least monitor your servers and use VCA or HP SUM to update your servers.

 

Also look at the hardware platform you installed SIM on if it's hardware. Depending on the age of your hardware and size of your enviroment you could use newer hardware or run SIM on a virtual server.

 

 

If you install a new server and SIM you can export your objects and import them in the new server.

If the old SIM server has trusts with your old servers you can use this trust to set trusts for the new SIM server.

Kind regards,

Andrew
Kw01
Occasional Advisor

Re: Upgrade Insight manager 5.3.1

Thank you for your response.  The old server is a virtual machine and the new one will be as well.  The only thing we really use this for is to monitor the hardware health.  We do not use it to update software/firmware and all agents connect via snmp.  How do I go about exporting/importing the objects as well as establishing the trusts?  Forgive me as I am new to this product.  Thank you.

Andrew_Haak
Honored Contributor

Re: Upgrade Insight manager 5.3.1

If you use the commandline type mxnode -ln > c:\nodes.txt to export your objects. This list can be used to import the objects in the new SIM server. You need to run configure one server to trust both the old SIM server and the new one. Then use the old SIM server to replicate these trusts so the new SIM server now also has a trust. Now you have to configure the agents to allow the new server to read them by either WBEM credentials for Windows and ESX and snmp for Unix servers and older ESX servers. Please fix the credentials before discovering your servers. If you have enclosures please start with these first.

 

Kind regards,

Andrew
Kw01
Occasional Advisor

Re: Upgrade Insight manager 5.3.1

thank you for your response.  It turns out that none of the existing data needs to be saved so I will be building a new environment from scratch.  What would I need to do about the agents currently installed on the servers that we monitor if anything?  Would the new install just use the existing agents?  Any help would be great.  Thank you.

Andrew_Haak
Honored Contributor

Re: Upgrade Insight manager 5.3.1

If you install a recent version of SIM like 7.2, 7.3 or 7.4 you have to update your agents and VCA to 7.3.x.x or higher because the agents that want to connect to the VCRM can't connect with a VCA lower that 7.3 because of security fixes made to 7.3 and above. I would recomend to update all your servers to the latest supported SPP/PSP's for the hardware you use.

 

That means you can't update older hardware to the latest SPP's exept for the Management software like VCA,SMH diagnostics these are hardware platform independant. SNMP Agents and WBEM agents depend on the hardware platform. Check the HP website for the latest supported SNMP & WBEM Agents supported for your hardware.

 

 

Kind regards,

Andrew
Kw01
Occasional Advisor

Re: Upgrade Insight manager 5.3.1

thank you.  Just to clarify, I will only be using sim to monitor hardware.  I will not be performing and software/firmware updates.  Does your answer still apply in that scenario?

Andrew_Haak
Honored Contributor

Re: Upgrade Insight manager 5.3.1

If you want to monitor your servers you need the System Management Homepage for viewing the page also this piece of software has has Open SSL security issues. The Version Control Agent is not needed for monitoring, i would suggest uninstalling the software since HP is moving away from VCA in favour of HP SUM.

 

Snmp agents and/or wbem agents need to be a recent version  due to new hardware support and for compatibility with SIM for reading the system info and traps. If you don't have newer hardware you could use older SNMP and/or wbem agent but why do that? The drivers and firmware you can skip but if you run into support issues the first thing HP is going to say is update your drivers/utilities. So the last option is where you will face downtime so that would be the only reason not to do this.

Kind regards,

Andrew
Kw01
Occasional Advisor

Re: Upgrade Insight manager 5.3.1

great, thank you